Developers

Build the future with Mauryan

Integrate secure authentication and access user data with a few lines of code.

OAuth 2.0 Standard

Seamlessly integrate with our compliant OAuth 2.0 implementation. Libraries available for all major languages.

Fast & Scalable

Built on a high-performance architecture designed to handle millions of requests with low latency.

User Privacy

Granular scopes allow you to request only the data you need, building trust with your users.

Quick Start Guide

1 Authorization

GET /oauth.php?response_type=code&client_id=APP_ID&redirect_uri=URL

2 Token Exchange

POST /api.php
Content-Type: application/x-www-form-urlencoded

action=token
grant_type=authorization_code
code=AUTH_CODE
client_id=APP_ID
client_secret=APP_SECRET

3 User Profile

GET /api.php?action=userinfo
Authorization: Bearer ACCESS_TOKEN